Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.workbench
Class XMLProjectReader

`java.lang.Object
oracle.toplink.tools.workbench.XMLProjectReader`

public class XMLProjectReader
extends java.lang.Object

Purpose: Allow for a TopLink Mapping Workbench generated deployment XML project file to be read. This reader returns an instance of Project to be used to initialize a TopLink session. Note the TopLink deployment XML format has change as of the OracleAS TopLink 10g (10.0.3) release to use XML schema. This class supports reading both the new and old formats.

Since:
  TopLink 3.0

Constructor Summary
`XMLProjectReader()`

Method Summary
`static Project` | `read(java.io.Reader reader)` PUBLIC: Read the TopLink project deployment XML from the reader on the file.
`static Project` | `read(java.io.Reader reader, java.lang.ClassLoader classLoader)` PUBLIC: Read the TopLink project deployment XML from the reader on the file.
`static Project` | `read(java.lang.String fileOrResourceName)` PUBLIC: Read the TopLink project deployment XML from the file or resource name.
`static Project` | `read(java.lang.String fileOrResourceName, java.lang.ClassLoader classLoader)` PUBLIC: Read the TopLink project deployment XML from the file or resource name.
`static void` | `setShouldUseSchemaValidation(boolean value)` PUBLIC: Set if schema validation will be used when parsing the 10g (10.0.3) deployment XML.
`static boolean` | `shouldUseSchemaValidation()` PUBLIC: Return if schema validation will be used when parsing the 10g (10.0.3) deployment XML.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLProjectReader

    public XMLProjectReader()

Method Detail

### shouldUseSchemaValidation

    public static boolean shouldUseSchemaValidation()

  PUBLIC: Return if schema validation will be used when parsing the 10g (10.0.3) deployment XML.

### setShouldUseSchemaValidation

    public static void setShouldUseSchemaValidation(boolean value)

  PUBLIC: Set if schema validation will be used when parsing the 10g (10.0.3) deployment XML. By default schema validation is on, but can be turned off if validation problems occur, or to improve parsing performance.

### read

    public static Project read(java.lang.String fileOrResourceName)

  PUBLIC: Read the TopLink project deployment XML from the file or resource name. If a resource name is used the default class loader will be used to resolve the resource. Note the default class loader must be able to resolve the domain classes. Note the file must be the deployment XML, not the Mapping Workbench project file.

### read

    public static Project read(java.io.Reader reader,
                               java.lang.ClassLoader classLoader)

  PUBLIC: Read the TopLink project deployment XML from the reader on the file. Note the class loader must be able to resolve the domain classes. Note the file must be the deployment XML, not the Mapping Workbench project file. This API supports both the 10g (9.0.4) format and the 10g (10.0.3) format.

### read

    public static Project read(java.lang.String fileOrResourceName,
                               java.lang.ClassLoader classLoader)

  PUBLIC: Read the TopLink project deployment XML from the file or resource name. If a resource name is used the class loader will be used to resolve the resource. Note the class loader must be able to resolve the domain classes. Note the file must be the deployment XML, not the Mapping Workbench project file.

### read

    public static Project read(java.io.Reader reader)

  PUBLIC: Read the TopLink project deployment XML from the reader on the file. Note the default class loader must be able to resolve the domain classes. Note the file must be the deployment XML, not the Mapping Workbench project file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD